Index: main/trunk/greenstone2/macros/english.dm
===================================================================
--- main/trunk/greenstone2/macros/english.dm	(revision 27059)
+++ main/trunk/greenstone2/macros/english.dm	(revision 27060)
@@ -388,4 +388,6 @@
 _textnatural_ {natural}
 _textsortbyrank_ {relevance rank}
+_textascending_ {ascending}
+_textdescending_ {descending}
 _texticonsearchhistorybar_ {search history}
 
@@ -432,5 +434,5 @@
 # the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
 
-_textsimplesearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_) for _querytypeselection_ of the words}
+_textsimplesearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\, _sortorderselection_\,) for _querytypeselection_ of the words}
 _textsimplesqlsearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_) for _querytypeselection_ of the words}
 
@@ -439,15 +441,15 @@
 _textadvancedmgppsearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language), and display results in _formquerytypeadvancedselection_ order, for}
 
-_textadvancedlucenesearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) for }
+_textadvancedlucenesearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,_sortorderselection_\,) for }
 _textadvancedsqlsearch_ {Search in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_\,) for }
 
 # the space after "Search" is required, otherwise no space between "Search" and "in"
 
-_textformsimplesearch_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\,) for _formquerytypesimpleselection_ of }
+_textformsimplesearch_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\, _sortorderselection_\,) for _formquerytypesimpleselection_ of }
 _textformsimplesearchsql_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,) for _formquerytypesimpleselection_ of }
 
 _textformadvancedsearchmgpp_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language), and display results in _formquerytypeadvancedselection_ order, for }
 
-_textformadvancedsearchlucene_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\,) for }
+_textformadvancedsearchlucene_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\, _sortorderselection_\,) for }
 _textformadvancedsearchsql_ {Search _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,) for }
 