Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27112)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27113)
@@ -498,5 +498,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -508,9 +508,16 @@
 <NumberedItem>
 <Text id="0255">Start the Greenstone Librarian Interface:</Text>
+  <MajorVersion number="2">
 <Menu>
 <Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.85 &rarr; Librarian Interface (GLI)</Text>
-</Menu> 
-<Comment>
-<Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog may appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue.</Text>
+</Menu>
+  </MajorVersion>
+  <MajorVersion number="3">
+    <Menu>
+      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.05 &rarr; Greenstone Librarian Interface (GLI)</Text>
+    </Menu>
+  </MajorVersion>
+<Comment>
+<Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog may appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue. </Text>
 <Text id="0256">After a short pause a startup screen appears, and then after a slightly longer pause the main Greenstone Librarian Interface appears. (A command prompt is also opened in the background.)</Text>
 </Comment>
@@ -574,5 +581,5 @@
 <Text id="0274">Close the collection by clicking <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Close"/></Menu>. This automatically saves the collection to disk.</Text>
 </NumberedItem>
-<MajorVersion number="2">
+
 <Heading>
 <Text id="0275">Viewing the internal links and external links</Text>
@@ -580,7 +587,10 @@
 <NumberedItem>
 <Text id="0275a">Hyperlinks in a Greenstone collection work like this: If the link is to a document that is also in the collection, clicking it takes you to that document in the collection. If the link is to a document that is <i>not</i> in the collection, clicking it takes you to that document on the web.</Text>
-<Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, click <Path>letters written by Anne</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format> (remove the # at the start of a line to uncomment it). Note, that if you are already browsing a collection, then you will need to go back to the home page and re-enter the collection to see this take effect (due to caching of the el argument).</Text>
-</NumberedItem>
-</MajorVersion>
+<Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, return to <Path>boleyn.html</Path> and click <Path>letters written by Anne</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. </Text>
+  <MajorVersion number="2">
+  <Text id="0257c">If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format> (remove the # at the start of a line to uncomment it). Note, that if you are already browsing a collection, then you will need to go back to the home page and re-enter the collection to see this take effect (due to caching of the el argument).</Text>
+  </MajorVersion>
+</NumberedItem>
+
 <Heading> 
 <Text id="0277">Setting up a shortcut in the Librarian interface</Text>
@@ -596,5 +606,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <NumberedItem>
@@ -615,5 +625,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0344">Click on <AutoText key="coredm::_Global:labelBrowse_"/> in the navigation bar to view a list of the photos ordered by filename and presented as a thumbnail accompanied by some basic data about the image. The structure of this collection is the same as <b>Simple image collection</b>, but the content is different.</Text>
+<Text id="0344">Click on <MajorVersion number="2"><AutoText key="coredm::_Global:labelBrowse_"/></MajorVersion><MajorVersion number="3"><AutoText text="Browse" /></MajorVersion> in the navigation bar to view a list of the photos ordered by filename and presented as a thumbnail accompanied by some basic data about the image. The structure of this collection is the same as <b>Simple image collection</b>, but the content is different.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -680,5 +690,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0362b">Preview the collection by clicking the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button. When you click on <AutoText key="coredm::_Global:labelBrowse_"/> in the navigation bar the presentation has changed to "Title: Bear" and so on. Each image's description should appear beside the thumbnail, following the title.</Text>
+<Text id="0362b">Preview the collection by clicking the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button. When you click on <MajorVersion number="2"><AutoText key="coredm::_Global:labelBrowse_"/></MajorVersion><MajorVersion number="3"><AutoText text="Browse" /></MajorVersion> in the navigation bar the presentation has changed to "Title: Bear" and so on. Each image's description should appear beside the thumbnail, following the title.</Text>
 </NumberedItem>
 <Comment>
@@ -710,5 +720,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0382a"><b>Build</b> the collection, and <b>preview</b> it. Choose the new <AutoText key="coredm::_Global:labelDescription_"/> link that appears in the navigation bar.</Text>
+<Text id="0382a"><b>Build</b> the collection, and <b>preview</b> it. Choose the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelDescription_"/></MajorVersion><MajorVersion number="3"><AutoText text="Descriptions" type="italics"/></MajorVersion> link that appears in the navigation bar.</Text>
 </NumberedItem>
 <Comment>
@@ -722,8 +732,13 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0386">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, then <b>preview</b> it. There is now a <AutoText key="coredm::_Global:labelSearch_"/> button in the navigation bar. As an example, search for the term "bear" in the<MajorVersion number="2"> <AutoText key="coredm::_Global:labelDescription_" type="italics"/></MajorVersion><MajorVersion number="3"> <AutoText text="dc.Description" type="italics"/></MajorVersion> index (which is the only index at this point).</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
+<MajorVersion number="2">
+<Text id="0386-1">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, then <b>preview</b> it. There is now a <AutoText key="coredm::_Global:labelSearch_"/> button in the navigation bar. As an example, search for the term "bear" in the <AutoText key="coredm::_Global:labelDescription_" type="italics"/> index (which is the only index at this point).</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0386-2">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, then <b>preview</b> it. There is now a <AutoText text="Search"/> button in the navigation bar. As an example, search for the term "bear" in the <AutoText text="dc.Description" type="italics"/> index (which is the only index at this point).</Text>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
 <Comment>
 <Text id="0386b">Note that if you use text instead of macros in the search metadata display text, you will need to do any translations yourself.</Text>