Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27114)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27115)
@@ -1123,5 +1123,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.85"/>
+<Version initial="2.85" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -1164,5 +1164,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70" current="2.85"/>
+<Version initial="2.70" current="2.85|3.05"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good.</Text>
@@ -1359,5 +1359,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w" current="2.85"/>
+<Version initial="2.70w" current="2.85|3.05"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1374,5 +1374,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ew-5"><b>Build</b> the collection. You will notice that the Microsoft Word program is started up for each Word document&mdash;the document is saved as HTML from Word itself, to get a better conversion. <b>Preview</b> the collection. In the <AutoText key="coredm::_Global:labelTitle_"/> list, notice that <Path>word03.doc</Path> and <Path>word06.doc</Path> now have a book icon, rather than a page icon. These now appear with hierarchical structure.</Text>
+<Text id="ew-5"><b>Build</b> the collection. You will notice that the Microsoft Word program is started up for each Word document&mdash;the document is saved as HTML from Word itself, to get a better conversion. <b>Preview</b> the collection. In the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list, notice that <Path>word03.doc</Path> and <Path>word06.doc</Path> now have a book icon, rather than a page icon. These now appear with hierarchical structure.</Text>
 <Text id="ew-6">The default behaviour for <AutoText text="WordPlugin"/> with <AutoText text="windows_scripting"/> is to section the document based on <AutoText text="Heading 1" type="quoted"/>, <AutoText text="Heading 2" type="quoted"/>, <AutoText text="Heading 3" type="quoted"/> styles. If you open up the <Path>word03.doc</Path> or <Path>word06.doc</Path> documents in Word, you will see that the sections use these Heading styles.</Text> 
 <Text id="ew-7">Note, to view style information in Word 2003, you can select <Menu>Format &rarr; Styles and Formatting</Menu> from the menu, and a side bar will appear on the right hand side. (In Word 2007 and later, find the <Menu>Change Styles</Menu> button on the far right of the menu ribbon. Click on the tiny <Menu>Expand</Menu> icon to its bottom right to display the styles side bar.) Click on a section heading and the formatting information will be displayed in this side bar.</Text>
@@ -1483,5 +1483,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.85"/>
+<Version initial="2.85" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -1522,5 +1522,5 @@
 <NumberedItem>
 <Text id="assoc-files-15">Building the collection at this point will have the effect that internally Greenstone will have captured this relationship between the different file versions of the same documents; however, until we make some adjustments to the format statements, none of this will be visible to the end-user. The collection built at this point (with default settings) allows a user to search the text from the Word document, browse by title metadata and so on, but when it comes to the point of viewing a document there will only be the choice of viewing the Word version of the document, or the HTML version that Greenstone automatically generates by processing the Word document.</Text>
-<Text id="assoc-files-16">To go beyond this, the key change to make is to alter the part of the <MajorVersion number="2">default VList statement that says:</MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/> format statement which chooses between <Format>thumbicon</Format> and <Format>srcicon</Format>, and replace this with a reference to <Format>equivDocIcon</Format> instead.</MajorVersion></Text>
+<Text id="assoc-files-16">To go beyond this, the key change to make is to alter the part of the <MajorVersion number="2">default VList statement that says:</MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText text="Browse" /> format statement which chooses between <Format>thumbicon</Format> and <Format>srcicon</Format>, and replace this with a reference to <Format>equivDocIcon</Format> instead.</MajorVersion></Text>
 <MajorVersion number="2">
 <Format>
@@ -1556,5 +1556,5 @@
 <MajorVersion number="3">
 <Text id="assoc-files-20-3">The second (more minor) change in this edit is to simplify the statement a bit. The original uses a <Format>&lt;gsf:choose-metadata/&gt;</Format> statement to show a thumbnail version of the document, if Greenstone has one, in preference over the source icon. Since in this collection we have no thumbnails generated, it has been simplified by eliminating the <Format>&lt;gsf:choose-metadata/&gt;</Format> combination and going straight to the <AutoText text="ex.equivDocIcon" type="italics"/> metadata item.</Text>
-<Text id="assoc-files-21-3">To make the change then, switch to the <AutoText key="glidict::GUI.Format"/> panel and edit the <AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/> format statement</Text>
+<Text id="assoc-files-21-3">To make the change then, switch to the <AutoText key="glidict::GUI.Format"/> panel and edit the <AutoText text="documentNode"/> template of the <AutoText text="Browse" /> format statement</Text>
 <table>
 <th>
@@ -1589,5 +1589,8 @@
 <Format>
 &lt;td valign=&quot;top&quot;&gt;<br />
-  <highlight><Tab n="1"/>&lt;gsf:link type=&quot;equivdoc&quot;/&gt;</highlight><br />
+  <highlight><Tab n="1"/>&lt;gsf:metadata name=&quot;equivDocLink&quot;/&gt;<br />
+  <Tab n="1"/>&lt;gsf:metadata name=&quot;equivDocIcon&quot;/&gt;<br />
+  <Tab n="1"/>&lt;gsf:metadata name=&quot;/equivDocLink&quot;/&gt;<br />
+  </highlight>
 &lt;/td&gt;<br />
 &lt;td valign=&quot;top&quot;&gt;<br />