Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27115)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27116)
@@ -1648,5 +1648,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -1672,8 +1672,9 @@
 </Heading>
 <NumberedItem>
-<Text id="0393">The browsing facilities in this collection (<AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/>) are based entirely on extracted metadata. Switch to the <AutoText key="glidict::GUI.Enrich"/> panel in the Librarian Interface and examine the metadata that has been extracted for some of the files.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0393a">Many HTML documents contain metadata in <Format>&lt;meta&gt;</Format> tags in the <Format>&lt;head&gt;</Format> of the page. Open up the <Path>englishhistory.net &rarr; tudor &rarr; monarchs &rarr; boleyn.html</Path> file by navigating to it in the tree on the left hand side, and double clicking it. This will open it in a web browser. View the HTML source of the page (<Menu>View &rarr; Source</Menu> in Internet Explorer, <Menu>View &rarr; Page Source</Menu> in Mozilla). You will notice that this page has <AutoText text="page_topic, content" type="italics"/> and <AutoText text="author" type="italics"/> metadata.</Text>
+<Text id="0393">The browsing facilities in this collection <MajorVersion number="2">(<AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/>)</MajorVersion><MajorVersion number="3">(<AutoText key="gs3::metadata_names::Title.buttonname" />
+ and <AutoText key="gs3::metadata_names::Source.buttonname" />)</MajorVersion> are based entirely on extracted metadata. Switch to the <AutoText key="glidict::GUI.Enrich"/> panel in the Librarian Interface and examine the metadata that has been extracted for some of the files.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0393a">Many HTML documents contain metadata in <Format>&lt;meta&gt;</Format> tags in the <Format>&lt;head&gt;</Format> of the page. Open up the <Path>englishhistory.net &rarr; tudor &rarr; monarchs &rarr; boleyn.html</Path> file by navigating to it in the tree on the left hand side, and double clicking it. This will open it in a web browser. View the HTML source of the page (<Menu>View &rarr; Source</Menu> in Internet Explorer, <Menu>Tools &rarr; Web Developer &rarr; Page Source</Menu> in Mozilla). You will notice that this page has <AutoText text="page_topic, content" type="italics"/> and <AutoText text="author" type="italics"/> metadata.</Text>
  </NumberedItem>
 <NumberedItem>
@@ -1709,5 +1710,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -1739,5 +1740,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0444">Now switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, and <b>preview</b> it. Choose the new <AutoText key="coredm::_Global:labelSubject_"/> link that appears in the navigation bar, and click the bookshelves to navigate around the four-entry hierarchy that you have created.</Text>
+<Text id="0444">Now switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, and <b>preview</b> it. Choose the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" /></MajorVersion> link that appears in the navigation bar, and click the bookshelves to navigate around the four-entry hierarchy that you have created.</Text>
 </NumberedItem>
 <Heading>
@@ -1754,5 +1755,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0460"><b>Build</b> the collection again, <b>preview</b> it, and try out the new <AutoText key="coredm::_Global:labelPhrase_"/> option in the navigation bar. An interesting PHIND search term for this collection is <AutoText text="king" type="quoted"/>. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
+<Text id="0460"><b>Build</b> the collection again, <b>preview</b> it, and try out the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelPhrase_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::PhindPhraseBrowse::PhindApplet.name" /></MajorVersion> option in the navigation bar. An interesting PHIND search term for this collection is <AutoText text="king" type="quoted"/>. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
 </NumberedItem>
 <Heading>
@@ -1803,5 +1804,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0464">Preview the newly rebuilt collection's <AutoText key="coredm::_Global:labelTitle_"/> page. Previously this listed more than a dozen pages per letter of the alphabet, but now there are just three&mdash;the first three files encountered by the building process.</Text>
+<Text id="0464">Preview the newly rebuilt collection's <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> page. Previously this listed more than a dozen pages per letter of the alphabet, but now there are just three&mdash;the first three files encountered by the building process.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1815,5 +1816,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <NumberedItem>
@@ -1833,5 +1834,10 @@
 </Indent>
 <Text id="0472">for a particular document whose <i>Title</i> metadata is <AutoText text="A discussion of question five from Tudor Quiz: Henry VIII"/> and whose <i>Source</i> metadata is <AutoText text="quizstuff.html"/>.</Text>
-<Text id="0473">This format appears in the search results list, in the <AutoText key="coredm::_Global:labelTitle_"/> list, and also when you get down to individual documents in the <AutoText key="coredm::_Global:labelSubject_"/> hierarchy. This is Greenstone's default format statement<MajorVersion number="3"> used in the <AutoText text="browse"/> and <AutoText text="search"/> format features.</MajorVersion>.</Text>
+<MajorVersion number="2">
+<Text id="0473a">This format appears in the search results list, in the <AutoText key="coredm::_Global:labelTitle_"/> list, and also when you get down to individual documents in the <AutoText key="coredm::_Global:labelSubject_"/> hierarchy. This is Greenstone's default format statement.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0473b">This format appears in the search results list, in the <AutoText key="gs3::metadata_names::Title.buttonname" /> list, and also when you get down to individual documents in the <AutoText key="gs3::metadata_names::Subjects.buttonname" /> hierarchy. This is Greenstone's default format statement used in the <AutoText text="browse"/> and <AutoText text="search"/> format features.</Text>
+</MajorVersion>
 </NumberedItem>
 <Comment>
@@ -1866,5 +1872,5 @@
 <Text id="0475-3a">Replace the <AutoText text="search"/> format feature with the above format statement too.</Text>
 </MajorVersion>
-<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect immediately). Look at some search results and at the <AutoText key="coredm::_Global:labelTitle_"/> list. They are just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
+<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect immediately). Look at some search results and at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. They are just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
 <MajorVersion number="3">
 <Text id="0476-3">We can also reduce the <AutoText text="VList classifierNode"/> template of the <AutoText text="browse"/> format feature further, also without changing the display. Replace it with:</Text>
@@ -1939,5 +1945,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0486"><b>Preview</b> the <AutoText key="coredm::_Global:labelSubject_"/> list in the collection. <MajorVersion number="2">First, the offending "()" has disappeared from the bookshelves. Second, when</MajorVersion><MajorVersion number="3">When</MajorVersion> you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. Note that the search results and titles lists have not changed: they still display the filename underneath the title.</Text>
+<Text id="0486"><b>Preview</b> the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" /></MajorVersion> list in the collection. <MajorVersion number="2">First, the offending "()" has disappeared from the bookshelves. Second, when</MajorVersion><MajorVersion number="3">When</MajorVersion> you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. Note that the search results and titles lists have not changed: they still display the filename underneath the title.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1978,5 +1984,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0494">Finally, let's return to the <AutoText key="coredm::_Global:labelSubject_" type="italics"/> hierarchy and learn how to do different things to the bookshelves and to the documents themselves. <MajorVersion number="2">In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, re-select the item</MajorVersion><MajorVersion number="3">Reselect the format feature for</MajorVersion></Text>
+<Text id="0494">Finally, let's return to the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" /></MajorVersion> hierarchy and learn how to do different things to the bookshelves and to the documents themselves. <MajorVersion number="2">In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, re-select the item</MajorVersion><MajorVersion number="3">Reselect the format feature for</MajorVersion></Text>
 <Indent>
 CL2<MajorVersion number="2">:</MajorVersion> Hierarchy -metadata <AutoText key="metadata::dc.Subject" type="plain"/>
@@ -2019,5 +2025,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w" current="2.85"/>
+<Version initial="2.70w" current="2.85|3.05"/>
 <Content>
 <NumberedItem>
@@ -2025,5 +2031,12 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="st-2">Using a text editor (e.g. WordPad) open up one of the HTML files from the demo collection: <Path>Greenstone &rarr; collect &rarr; demo &rarr; import &rarr; fb33fe &rarr;fb33fe.htm</Path>. You will see some HTML comments which contain section information for Greenstone. They look like:</Text>
+<Text id="st-2">Using a text editor (e.g. WordPad) open up one of the HTML files from the demo collection: 
+<MajorVersion number="2">
+<Path>Greenstone &rarr; collect &rarr; demo &rarr; import &rarr; fb33fe &rarr; fb33fe.htm</Path>
+</MajorVersion>
+<MajorVersion number="3">
+<Path>Greenstone3 &rarr; web &rarr; sites &rarr; localsite &rarr; collect &rarr; lucene-jdbm-demo &rarr; import &rarr; fb33fe &rarr; fb33fe.htm</Path>
+</MajorVersion>
+. You will see some HTML comments which contain section information for Greenstone. They look like:</Text>
 <Format>
 &lt;!--<br/>
@@ -2043,5 +2056,5 @@
 --&gt;
 </Format>
-<Text id="st-3">When Greenstone encounters a <Format>&lt;Section&gt;</Format> tag in one of these comments, it will start a new subsection of the document. This will be closed when a <Format>&lt;/Section&gt;</Format> tag is encountered. Metadata can also be added for each section&mdash;in this case, <AutoText text="Title"/> metadata has been added for each section. In the browser, find the <AutoText text="Farming snails 1"/> document in the demo collection (through the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser). Look at its table of contents and compare it to the <Format>&lt;Section&gt;</Format> tags in the HTML document.</Text>
+<Text id="st-3">When Greenstone encounters a <Format>&lt;Section&gt;</Format> tag in one of these comments, it will start a new subsection of the document. This will be closed when a <Format>&lt;/Section&gt;</Format> tag is encountered. Metadata can also be added for each section&mdash;in this case, <AutoText text="Title"/> metadata has been added for each section. In the browser, find the <AutoText text="Farming snails 1"/> document in the demo collection (through the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/></MajorVersion> browser). Look at its table of contents and compare it to the <Format>&lt;Section&gt;</Format> tags in the HTML document.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2075,5 +2088,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <Comment>