Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27116)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27117)
@@ -2130,5 +2130,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <NumberedItem>
@@ -2149,5 +2149,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0430">To make use of the new URL metadata, the icon link must be changed to serve up the original URL rather than the copy stored in the digital library. Go to the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText key="glidict::CDM.GUI.Formats"/> section and edit the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/></MajorVersion> format statement by replacing</Text>
+<Text id="0430">To make use of the new URL metadata, the icon link must be changed to serve up the original URL rather than the copy stored in the digital library. Go to the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText key="glidict::CDM.GUI.Formats"/> section and edit the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText text="Browse" /></MajorVersion> format statement by replacing</Text>
 <MajorVersion number="2">
 <Format>[link][icon][/link]</Format>
@@ -2179,5 +2179,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -2197,5 +2197,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0525">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, and <b>preview</b> it. Browse through the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> and view a record or two. Try searching&mdash;for example, find items that include <AutoText text="graphics"/>.</Text>
+<Text id="0525">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, and <b>preview</b> it. Browse through the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/></MajorVersion> and view a record or two. Try searching&mdash;for example, find items that include <AutoText text="graphics"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2263,6 +2263,12 @@
 </NumberedItem>
 <NumberedItem>
+<MajorVersion number="2">
 <Text id="0533-11"><b>Rebuild</b> and <b>preview</b> the collection. You will notice that the <AutoText key="coredm::_Global:labelSubject_" type="italics"/> classifier is empty, searching no longer returns any results, and the document display is useless.</Text>
-<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <MajorVersion number="2"><AutoText text="VList"/></MajorVersion><MajorVersion number="3"><AutoText text="browse"/></MajorVersion> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <MajorVersion number="2"><AutoText text="VList"/></MajorVersion><MajorVersion number="3"><AutoText text="global"/></MajorVersion> in the list of assigned format statements. The format statement looks like:</Text>
+<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <AutoText text="VList"/> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements. The format statement looks like:</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0533-11-1"><b>Rebuild</b> and <b>preview</b> the collection. You will notice that the <AutoText key="gs3::metadata_names::Subjects.buttonname" type="italics"/> classifier is empty, searching no longer returns any results, and the document display is useless.</Text>
+<Text id="0533-11b-1">Although the <AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <AutoText text="browse"/> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="global"/> in the list of assigned format statements. The format statement looks like:</Text>
+</MajorVersion>
 <MajorVersion number="2">
 <Format>
@@ -2293,5 +2299,5 @@
 <Text id="0533-11a">Reformatting the collection to use the exploded metadata</Text>
 </Heading>
-<Text id="0533-12">The collection previously used extracted (ex.) metadata, but now it uses exploded (exp.) metadata. The <AutoText key="coredm::_Global:labelSubject_" type="italics"/> classifier and search indexes were built on ex metadata, which is why they no longer work properly.</Text>
+<Text id="0533-12">The collection previously used extracted (ex.) metadata, but now it uses exploded (exp.) metadata. The <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" type="italics"/></MajorVersion> classifier and search indexes were built on ex metadata, which is why they no longer work properly.</Text>
 <Text id="0533-12a">There is also no longer any text in the documents. Previously, <AutoText text="MARCPlugin"/> stored the raw record as the "text" of each record. Now that the metadata is in the Librarian Interface, there is no longer the concept of raw record, and so there is no text.</Text>
 <Text id="0533-12b">We need to modify the collection design to take note of these changes.</Text>
@@ -2397,5 +2403,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0533-19-3">The record Title will be displayed as part of the default <AutoText text="documentContent"/> format, so we override the <AutoText text="documentHeading"/> format statement (which displays the Title) with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.FormatManager.Editor"/> and add the following just after the <Format>&lt;gsf:option name=&quot;TOC&quot; value=&quot;true&quot;/&gt;</Format>:</Text>
+<Text id="0533-19-3">In the <AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/> list, click on one of the documents. This will take you to the document's display page. Exploding the database has left this document display useless. Only the record Title (in this case, the generated filename) is displayed. We will make two changes to improve the document display. First, we will remove the record Title, since it is not useful in this instance. To remove the record Title, we need to override the default <AutoText text="documentHeading"/> format statement with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel and add the following just after <Format>&lt;gsf:option name=&quot;TOC&quot; value=&quot;true&quot;/&gt;</Format>:</Text>
 <Format>&lt;gsf:template name=&quot;documentHeading&quot;/&gt;</Format>
 </MajorVersion>
@@ -2436,5 +2442,5 @@
 <NumberedItem>
 <Text id="0533-22"><MajorVersion number="2">The <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons are not very useful for this collection, so lets get rid of them. Edit the <AutoText text="DocumentButtons"/> format statement to make it empty. </MajorVersion>
-Press the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button to preview the collection.</Text>
+Press the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button to preview the collection and see how the document display has improved.</Text>
 </NumberedItem>
 </Content>
@@ -2445,5 +2451,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w" current="2.85"/>
+<Version initial="2.70w" current="2.85|3.05"/>
 <Content>
 <Comment>
@@ -2457,5 +2463,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="is-5"><b>Build</b> and <b>preview</b> the collection. The default indexes, classifiers and formats are not very useful for this data. There is no metadata searching, and the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier is completely empty. The filenames classifier is useless because all records come from the same file.</Text>
+<Text id="is-5"><b>Build</b> and <b>preview</b> the collection. The default indexes, classifiers and formats are not very useful for this data. There is no metadata searching, and the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/></MajorVersion> classifier is completely empty. The filenames classifier is useless because all records come from the same file.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2512,5 +2518,5 @@
 </MajorVersion>
 <NumberedItem>
-<Text id="is-16">Finally, lets link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
+<Text id="is-16">Finally, let's link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
 <MajorVersion number="2">Edit the <AutoText text="DocumentText"/> format statement to look like the following. (This format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_text.txt</Path>.)</MajorVersion>
 <MajorVersion number="3">Add the following to the <AutoText text="display"/> format statement (which can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_content.txt</Path>), to adjust the <AutoText text="documentContent"/>. This now makes use of a predefined Greenstone javascript function to toggle between displaying and hiding the raw record.</MajorVersion>
@@ -2558,5 +2564,5 @@
 </Content>
 </Tutorial>
-<Tutorial id="using_macro_files">
+<MajorVersion number="2"><Tutorial id="using_macro_files">
 <Title>
 <Text id="mf-1">Customization: macro files and stylesheets</Text>
@@ -2768,5 +2774,5 @@
 </NumberedItem>
 </Content>
-</Tutorial>
+</Tutorial></MajorVersion>
 <Tutorial id="multimedia_collection_explore">
 <Title>
@@ -2774,5 +2780,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.85|3.05"/>
 <Content>
 <NumberedItem>
@@ -2780,8 +2786,13 @@
 <Path>sample_files &rarr; beatles &rarr; advbeat_large</Path> 
 <Text id="0542">(with all its contents) into your Greenstone <Path>collect</Path> folder. If you have installed Greenstone in the usual place, this is</Text>
+<MajorVersion number="2">
 <Path>
-<Text id="0542a"><Path>My Computer &rarr; Local Disk (C:) &rarr; Users &rarr; &lt;Username&gt; &rarr; collect</Path></Text>
+<Text id="0542a"><Path>My Computer &rarr; Local Disk (C:) &rarr; Users &rarr; &lt;Username&gt; &rarr; Greenstone &rarr; collect</Path></Text>
 </Path> 
-<Text id="0542b">where &lt;Username&gt; is the username under with Greenstone is installed.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0542c"><Path>My Computer &rarr; Local Disk (C:) &rarr; Users &rarr; &lt;Username&gt; &rarr; Greenstone3 &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path></Text>
+</MajorVersion>
+<Text id="0542b">where &lt;Username&gt; is the username under which Greenstone is installed.</Text>
 <Text id="0543">Put <Path>advbeat_large</Path> in there.<MajorVersion number="3"> Then go into the <Path>advbeat_large</Path> folder and delete its <Path>index</Path> subfolder.</MajorVersion></Text>
 </NumberedItem>
@@ -2797,11 +2808,11 @@
 </MajorVersion>
 <NumberedItem>
-<Text id="0545">Explore the Beatles collection. Note how the <AutoText key="coredm::_Global:labelBrowse_" type="italics"/> button divides the material into seven different types. Within each category, the documents have appropriate icons. Some documents have an audio icon: when you click these you hear the music (assuming your computer is set up with appropriate player software). Others have an image thumbnail: when you click these you see the images.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0546">Look at the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser. Each title has a bookshelf that may include several related items. For example, <i>Hey Jude</i> has a MIDI file, lyrics, and a discography item.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0547">Observe the low quality of the metadata. For example, the five items under <AutoText text="A Hard Day's Night"/> (under <AutoText text="H" type="quoted"/> in the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser) have different variants as their titles. The collection would have been easier to organize had the metadata been cleaned up manually first, but that would be a big job. Only a tiny amount of metadata was added by hand&mdash;fewer than ten items. The original metadata was left untouched and Greenstone facilities were used to clean it up automatically. (You will find in <TutorialRef id="multimedia_collection_build"/> that this is possible but tricky.)</Text>
+<Text id="0545">Explore the Beatles collection. Note how the <AutoText text="Browse" />  button divides the material into seven different types. Within each category, the documents have appropriate icons. Some documents have an audio icon: when you click these you hear the music (assuming your computer is set up with appropriate player software). Others have an image thumbnail: when you click these you see the images.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0546">Look at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/></MajorVersion> browser. Each title has a bookshelf that may include several related items. For example, <i>Hey Jude</i> has a MIDI file, lyrics, and a discography item.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0547">Observe the low quality of the metadata. For example, the five items under <AutoText text="A Hard Day's Night"/> (under <AutoText text="H" type="quoted"/> in the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname"  type="italics"/></MajorVersion> browser) have different variants as their titles. The collection would have been easier to organize had the metadata been cleaned up manually first, but that would be a big job. Only a tiny amount of metadata was added by hand&mdash;fewer than ten items. The original metadata was left untouched and Greenstone facilities were used to clean it up automatically. (You will find in <TutorialRef id="multimedia_collection_build"/> that this is possible but tricky.)</Text>
 </NumberedItem>
 <NumberedItem>